couchdb-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Russell Branca (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (COUCHDB-1640) build instructions broken for Debian
Date Sat, 12 Jan 2013 21:28:12 GMT

    [ https://issues.apache.org/jira/browse/COUCHDB-1640?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=13552070#comment-13552070
] 

Russell Branca commented on COUCHDB-1640:
-----------------------------------------

I was able to pass all the make check tests and the browser tests on debian squeeze with R14B04,
but I had to create a new link for the libmoz .so file.

I compiled http://ftp.mozilla.org/pub/mozilla.org/js/js185-1.0.0.tar.gz and noticed that while
previous versions created a libjs.so file, the 1.8.5 version creates files and links of the
form libmozjs185.so*. So I did:

ln -s $JS_DIR/lib/libmozjs185.so.1.0.0 $JS_DIR/lib/libjs.so

and then ran configure with:

export LD_LIBRARY_PATH=$JS_DIR/lib
./configure --prefix=/tmp/couchdb/install --with-js-lib=$JS_DIR/lib --with-js-include=$JS_DIR/include

Without creating the link for libjs.so, make check errors out with:

cc1: warnings being treated as errors
In file included from couch_js/main.c:18:
couch_js/sm180.c: In function ‘req_status’:
couch_js/sm180.c:108: error: implicit declaration of function ‘INT_FITS_IN_JSVAL’
couch_js/sm180.c: In function ‘evalcx’:
...


                
> build instructions broken for Debian
> ------------------------------------
>
>                 Key: COUCHDB-1640
>                 URL: https://issues.apache.org/jira/browse/COUCHDB-1640
>             Project: CouchDB
>          Issue Type: Bug
>          Components: Build System
>            Reporter: Miles Fidelman
>            Assignee: Dave Cottlehuber
>
> The instructions for building 1.2.1, from source, on Debian Stable (Squeeze) are completely
broken - both the INSTALL.Unix file in the distribution, and the wiki page at http://wiki.apache.org/couchdb/Installing_on_Debian
> For one, the version of spidermonkey (libmozjs) is older than the minimum required for
Couch 1.2.1.
> For two, even after installing the latest spidermonkey from upstream, I can't get more
than half the developer tests to complete after an install.  I expect it has to do with path
issues and the proper invocation of ./configure - but I can't figure out what the magic incantation
is.
> I kind of wonder if anybody has actually tried a full install on Debian Stable.

--
This message is automatically generated by JIRA.
If you think it was sent incorrectly, please contact your JIRA administrators
For more information on JIRA, see: http://www.atlassian.com/software/jira

Mime
View raw message